#!/bin/sh

# Skip processing this file if it's not a regular user or root.
# We cannot use exit because this file is likely sourced.
if [[ $UID -ge 500 || $UID -eq 0 ]] ; then
	if [ ! -n "$GPG_AGENT_INFO" ] ; then
		GPGAGENTINFO="$HOME/.gnupg/gpg-agent-info"
		NEEDSTART=0
		if [ -f "$GPGAGENTINFO" ] ; then
			kill -0 `cut -d: -f 2 "$GPGAGENTINFO"` 2>/dev/null
		       	if [ $? -eq 0 ] ; then
				. "$GPGAGENTINFO"
				export GPG_AGENT_INFO
			else
				NEEDSTART=1
			fi
		else
			rm -f "$GPGAGENTINFO"
			NEEDSTART=1
		fi
		if [ $NEEDSTART -eq 1 ] ; then
			eval `gpg-agent --use-standard-socket --daemon --write-env-file "$GPGAGENTINFO"`
			chmod 600 "$GPGAGENTINFO"
		fi
	fi
fi # End of UID clause.
